Package owl.automaton

## Class AutomatonReader

- java.lang.Object
- - owl.automaton.AutomatonReader

-     public final class AutomatonReader
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AutomatonReader.HoaState` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static jhoafparser.consumer.HOAConsumerStore` | `getConsumer​(Consumer<? super Automaton<AutomatonReader.HoaState,?>> consumer, FactorySupplier factory)` |
    `static jhoafparser.consumer.HOAConsumerStore` | `getConsumer​(Consumer<? super Automaton<AutomatonReader.HoaState,?>> consumer, ValuationSetFactory factory)` |
    `static void` | `readHoa​(InputStream stream, Consumer<Automaton<AutomatonReader.HoaState,?>> consumer, FactorySupplier factorySupplier)` |
    `static void` | `readHoa​(InputStream stream, Consumer<Automaton<AutomatonReader.HoaState,?>> consumer, ValuationSetFactory vsFactory)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A>` | `readHoa​(InputStream stream, FactorySupplier factorySupplier, Class<A> acceptanceClass)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A>` | `readHoa​(InputStream stream, ValuationSetFactory vsFactory, Class<A> acceptanceClass)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A>` | `readHoa​(String input, FactorySupplier factorySupplier, Class<A> acceptanceClass)` |
    `static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A>` | `readHoa​(String input, ValuationSetFactory vsFactory, Class<A> acceptanceClass)` |
    `static List<Automaton<AutomatonReader.HoaState,?>>` | `readHoaCollection​(InputStream input, FactorySupplier factorySupplier)` |
    `static List<Automaton<AutomatonReader.HoaState,?>>` | `readHoaCollection​(String input, FactorySupplier factorySupplier)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getConsumer

          public static jhoafparser.consumer.HOAConsumerStore getConsumer​(Consumer<? super Automaton<AutomatonReader.HoaState,?>> consumer,
                                                                          FactorySupplier factory)

    - #### getConsumer

          public static jhoafparser.consumer.HOAConsumerStore getConsumer​(Consumer<? super Automaton<AutomatonReader.HoaState,?>> consumer,
                                                                          ValuationSetFactory factory)

    - #### readHoa

          public static void readHoa​(InputStream stream,
                                     Consumer<Automaton<AutomatonReader.HoaState,?>> consumer,
                                     FactorySupplier factorySupplier)
                              throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static void readHoa​(InputStream stream,
                                     Consumer<Automaton<AutomatonReader.HoaState,?>> consumer,
                                     ValuationSetFactory vsFactory)
                              throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A> readHoa​(String input,
                                                                                                  FactorySupplier factorySupplier,
                                                                                                  Class<A> acceptanceClass)
                                                                                           throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A> readHoa​(String input,
                                                                                                  ValuationSetFactory vsFactory,
                                                                                                  Class<A> acceptanceClass)
                                                                                           throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A> readHoa​(InputStream stream,
                                                                                                  FactorySupplier factorySupplier,
                                                                                                  Class<A> acceptanceClass)
                                                                                           throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoa

          public static <A extends OmegaAcceptance> Automaton<AutomatonReader.HoaState,A> readHoa​(InputStream stream,
                                                                                                  ValuationSetFactory vsFactory,
                                                                                                  Class<A> acceptanceClass)
                                                                                           throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoaCollection

          public static List<Automaton<AutomatonReader.HoaState,?>> readHoaCollection​(InputStream input,
                                                                                      FactorySupplier factorySupplier)
                                                                               throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`

    - #### readHoaCollection

          public static List<Automaton<AutomatonReader.HoaState,?>> readHoaCollection​(String input,
                                                                                      FactorySupplier factorySupplier)
                                                                               throws jhoafparser.parser.generated.ParseException

      Throws:
        `jhoafparser.parser.generated.ParseException`